Get Loyalty Customer

Purpose

This webhook URL will be called to retrieve customer details in response, the customers will be identified by one of three unique identifiers within the query parameters; email , phoneNumber or providerId

Query Parameters

All request parameters will be URL encoded.

ParameterDescription
emailThis parameter will always be sent if your integration uses the email as a unique identifier

e.g.https://yourwebhook.com/customer?email=john.doe%40email.com
phoneNumber This parameter will always be sent if your integration uses the phone number as a unique identifier. (E.164 international

e.g.https://yourwebhook.com/customer?phoneNumber=%2B32111111111format)
providerId * requiredThe customer's unique identifier within the loyalty provider's system.

e.g. https://yourwebhook.com/customer?providerId=abc123
accountIdThe merchant's account ID in Deliverect
loyaltyProfileIdThe Id of the profile where the response configuration was stored
locationIdThe location ID related to the merchant's account in Deliverect
channelLinkIdThe channel link ID related to the location of the merchant's account in Deliverect

Response

Customer AttributesTypeRequiredDescription
providerIdstringYesID of the loyalty provider to identify the customer
firstNamestringNoFirst name of the customer.
lastNamestringNoLast name of the customer.
emailstringYes if used as unique identifierThe customer's email.
phoneNumberstringYes if used as unique identifierThe customer's phone email. Must be sent in E.164 international standard.
dateOfBirthstringNoThe provided date must be in ISO 8601 UTC format. Example: 2025-05-22T22:55:59+00:00.
statusstringYesSee statuses below.
acceptedTCAtstringYesThe date and time when the customer accepted the terms and conditions. Must be in ISO 8601 UTC format. Example: 1970-01-01T00:00:00+00:00.
"lifetimePointsBalance"integerNo

Number of loyalty points a customer has earned over the lifetime of their account.

Note: it does not indicate current balance, which will be provided via "GET loyalty Customer Wallet".

tierObjectNoSee tier object description bellow.
Tier AttributesTypeRequiredDescription
namestringYesThe name of the Tier
descriptionstringNoA description for the Tier
mediaObjectNoSee media object description bellow.
Media attributesTypeRequiredDescription
urlstringYesA video or image URL that can be displayed along the tier information.
typestringYesValid options:
  • image
  • video
Status ValuesTypeDescription
unknownstringCustomer status cannot be determined.
activation_pendingstringCustomer created an account but did not verify/complete.
activestringCustomer created an account and verified their access.
blocked_by_providerstringCustomer blacklisted from partner. Unable to interact with loyalty.
⚠️

If the customer doesn't exist on your platform, the endpoint should return an HTTP 404 Not Found response.


Query Params
string

Email of the end customer. The requirement of this field will depend on the loyalty integration configured on the customer's account

string

Phone number of the end customer in E164 format. The requirement of this field will depend on the loyalty integration configured on the customer's account

string

The merchant's account ID in Deliverect

string

The Id of the profile where the response configuration was stored

string

The location ID related to the merchant's account in Deliverect

string

The channel link ID related to the location of the merchant's account in Deliverect

Headers
string
Defaults to Deliverect/{version}

Deliverect/{version}

string
Defaults to {signature}

{signature}

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json